package kavenegar

import "github.com/kavenegar/kavenegar-go"

type Config struct {
	APIKey string `koanf:"api_key"`
	Sender string `koanf:"sender"`
}

type Adapter struct {
	config  Config
	adapter *kavenegar.Kavenegar
}

func New(config Config) *Adapter {
	return &Adapter{config: config, adapter: kavenegar.New(config.APIKey)}
}
